%define module 	XML-DT
%define version 0.42
%define release 1mdk

%define req_xml_libxml_version 1.54

Summary:	A perl XML down translate module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Url:		http://www.di.uminho.pt/~jj/perl/XML/XML-DT.readme.html
Group:		Development/Perl
Source0:	http://cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
Requires: 	perl-XML-LibXML >= %{req_xml_libxml_version}
Requires:	perl-libwww-perl
BuildRequires:	perl-devel
BuildRequires:	perl-XML-LibXML >= %{req_xml_libxml_version}
BuildRequires:	perl-libwww-perl
BuildRequires:	perl-XML-DTDParser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
The XML::DT module is a perl module that does XML down translation.
Based on XML::LibXML, it is designed to perform simple and
compact translation/processing of XML documents.

%prep
%setup -q -n %{module}-%{version}

%build
chmod 755 examples/*.pl
echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML/

%changelog
* Mon Sep 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.42-1mdk
- 0.42

* Mon Jul 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.41-1mdk
- 0.41

* Mon Apr 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.40-1mdk
- 0.40

* Wed Mar 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.39-1mdk
- 0.39

* Tue Jan 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.38-1mdk
- 0.38

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.37-1mdk
- 0.37
- Adjust BuildRequires

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.35-1mdk
- 0.35

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.34-1mdk
- 0.34

* Mon Aug 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.31-1mdk
- 0.31
- Update description

* Wed Apr 21 2004 Michael Scherer <misc@mandrake.org> 0.30-1mdk
- 0.30
- Remove hardcoded Requires
- add url, rpmbuildupdate
- [DIRM]

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 0.26-1mdk
- 0.26
- XML-LibXML is favored over XML-Parser

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.19-6mdk
- Fix Buildrequires

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.19-5mdk
- fix buildrequires (Stefan van der Eijk's bot)

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.19-4mdk
- fix missing url
- enhanced summary & description

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.19-3mdk
- rebuild for perl 5.8.0

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.19-2mdk
- rebuild

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.19-1mdk
- First Mandrake Release

